---
import BlogPost from "../components/BlogPost.astro";
import BaseLayout from "../layouts/BaseLayout.astro";

const allPosts = await Astro.glob("../pages/posts/*.md");

const pageTitle = "Blog Blog";
---

<BaseLayout pageTitle={pageTitle}>
  <h2>My Actual Blog Page</h2>

  <p>This is where I will post about my journey learning Astro.</p>
  <ul>
    {
      allPosts.map((post) => (
        <BlogPost title={post.frontmatter.title} url={post.url} />
      ))
    }
  </ul>
</BaseLayout>
